<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

<!--    如果使用gif 请将这里的com.excelliance.open.SwitchView改成com.excelliance.open.gif.GifImageView 并且在apk的assets目录下放lebian_background.gif-->
<!--    如果使用视频，请将这里的com.excelliance.open.SwitchView改成com.excelliance.open.video.VideoView并且在apk的assets目录下放lebian_background.mp4-->
    <com.excelliance.open.LBSwitchView
        android:id="@+id/background_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <TextView
            android:id="@+id/lebian_text_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/lebian_layout_progress"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="10dp"
            android:textColor="#FF8040" />

        <TextView
            android:id="@+id/lebian_resource_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/lebian_layout_progress"
            android:layout_alignRight="@+id/lebian_layout_progress"
            android:textColor="#FF8040" />

        <TextView
            android:id="@+id/lebian_download_speed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_alignRight="@+id/lebian_layout_progress"
            android:layout_marginBottom="10dp"
            android:textColor="#FF8040" />

        <FrameLayout
            android:id="@+id/lebian_layout_progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/lebian_text_status">

            <com.excelliance.open.AdaptiveProgressBar
                android:id="@+id/lebian_progressBar"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="600dip"
                android:layout_height="14dip"
                android:max="100"
                android:progress="0"
                android:layout_gravity="center"
                android:visibility="gone" />

            <TextView
                android:id="@+id/lebian_text_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:textSize="11sp"
                android:textColor="#ffffff" />
        </FrameLayout>
    </RelativeLayout>
</FrameLayout>

